GET
/api/v1/compliance-security/agent/
curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/compliance-security/agent/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/compliance-security/agent/", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/compliance-security/agent/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”key
string
Agent classificaiton.
project_id
required
integer
Project ID Find your project id here
location
required
string
Deployment region for the resource. Accepted values: Delhi, Chennai.
Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.
Responses
Section titled “Responses”Successful response with agent status data
Media typeapplication/json
object
code
integer
data
object
agent_configured
boolean
status_info
object
Total_agents
integer
Active_agents
integer
Disconnected_agents
integer
Pending_agents
integer
Never_connected_agents
integer
most_active_agent
string
last_registered_agent
string
errors
object
message
string
Example
{ "code": 200, "data": { "agent_configured": true, "status_info": { "Total_agents": 1, "Active_agents": 0, "Disconnected_agents": 0, "Pending_agents": 0, "Never_connected_agents": 1 }, "most_active_agent": null, "last_registered_agent": "C3-8GB-133" }, "errors": {}, "message": "Success"}